### Type parameters

- #### T

### Hierarchy

- DialogApiResponse

### Implemented by

- DialogServiceResponse

## Index

### Methods

- assertNoError
- responseValue
- responseValueOrRedirect

## Methods

### assertNoError

- assertNoError(): Promise<void>

- - Defined in dialog/DialogService.ts:335

  #### Returns Promise<void>

### responseValue

- responseValue(): Promise<T>

- - Defined in dialog/DialogService.ts:331

  #### Returns Promise<T>

### responseValueOrRedirect

- responseValueOrRedirect(): Promise<T | Redirection>

- - Defined in dialog/DialogService.ts:333

  #### Returns Promise<T | Redirection>

Generated using TypeDoc